
#ifndef DOWNLOADTASK_H
#define DOWNLOADTASK_H

#include <QRunnable>
#include <QString>
#include <QObject>

class DownloadTask : public QObject, public QRunnable {
    Q_OBJECT
public:
    DownloadTask(const QString &url, const QString &formatCode);
    void run() override;

signals:
    void downloadFinished(const QString &url);
    void downloadError(const QString &url, const QString &error);

private:
    QString url;
    QString formatCode;
};

#endif // DOWNLOADTASK_H
