
#include "ffmpegwrapper.h"
#include <QProcess>

void FFmpegWrapper::convertToMp3(const QString &inputPath, const QString &outputPath) {
    QProcess *ffmpeg = new QProcess(this);
    connect(ffmpeg, &QProcess::finished, this, [=](int exitCode){
        if (exitCode == 0)
            emit conversionFinished(outputPath);
        else
            emit conversionError("فشل في التحويل");
        ffmpeg->deleteLater();
    });

    ffmpeg->start("ffmpeg", QStringList() << "-i" << inputPath << "-vn" << "-ab" << "192k" << outputPath);
}
